Bug Hunting Session
Bug 95793 - UI Insert sheet from file dialog glitch: taking more time to open (with network share activated)
Summary: UI Insert sheet from file dialog glitch: taking more time to open (with netwo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2015-11-13 11:06 UTC by Katarina Behrens (CIB)
Modified: 2019-12-03 14:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2015-11-13 11:06:26 UTC
Calc > Sheet > Insert sheet from file ... 

Expected: file picker dialog appears right away

Actual: insert sheet dialog itself appears for a second (or longer, depending on how fast your machine is) and only then, the file picker pops up.

Not a big deal, just slightly unpolished user experience. Note to self: potential easy hack candidate
Comment 1 Cor Nouws 2015-11-13 15:42:59 UTC
Hi Bubli,

I do not have a fast machine, and it's 6 yrs old.
For me it takes less than half a second (both the OS and the LibreOffice dialog).
Version: 5.1.0.0.alpha1+
Build ID: a148fe149c7af1995fd2aaab0a6e52242509b993
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2015-11-09_01:00:50
Locale: nl-NL (nl_NL.UTF-8)

Do you have some network stuff that demands updating/connecting in the dialog?
Comment 2 Katarina Behrens (CIB) 2015-11-13 17:20:00 UTC
> Do you have some network stuff that demands updating/connecting in the
> dialog?

Yep, have some corporate network samba share permanently mounted
Comment 3 A (Andy) 2015-11-19 22:43:45 UTC
Reproducible with LO 5.0.3.2, Win 8.1
Comment 4 QA Administrators 2017-01-03 19:37:13 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:50:58 UTC
Dear Katarina Behrens (CIB),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug